/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.taxiservicios.model.view.dashboard;

import com.arrebol.taxiservicios.model.enums.TransferType;
import java.io.Serializable;
import java.util.Date;
import java.util.Objects;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public class SaleDashboardView implements Serializable {

    private static final long serialVersionUID = -1;

    private String id;
    private String driverId;
    private String taxiId;
    private Date payDate;
    private String fullName;
    private Double payDay;
    private Double paySaving;
    private Double accident;
    private Double toCompletePayDay;
    private Double toCompletePaySaving;
    private Double toCompletePayAccident;
    private Double totalToPay;
    private Double totalToPaid;
    private String description;
    private Boolean garage;
    private Boolean nuevaAsignacion;
    private Boolean banca;
    private String saleStatus;
    private String idBankCard;
    private String accountNumber;
    private TransferType transfer;

    public SaleDashboardView() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDriverId() {
        return driverId;
    }

    public void setDriverId(String driverId) {
        this.driverId = driverId;
    }

    public String getTaxiId() {
        return taxiId;
    }

    public void setTaxiId(String taxiId) {
        this.taxiId = taxiId;
    }

    public Date getPayDate() {
        return payDate;
    }

    public void setPayDate(Date payDate) {
        this.payDate = payDate;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public Double getPayDay() {
        return payDay;
    }

    public void setPayDay(Double payDay) {
        this.payDay = payDay;
    }

    public Double getPaySaving() {
        return paySaving;
    }

    public void setPaySaving(Double paySaving) {
        this.paySaving = paySaving;
    }

    public Double getAccident() {
        return accident;
    }

    public void setAccident(Double accident) {
        this.accident = accident;
    }

    public Double getToCompletePayDay() {
        return toCompletePayDay;
    }

    public void setToCompletePayDay(Double toCompletePayDay) {
        this.toCompletePayDay = toCompletePayDay;
    }

    public Double getToCompletePaySaving() {
        return toCompletePaySaving;
    }

    public void setToCompletePaySaving(Double toCompletePaySaving) {
        this.toCompletePaySaving = toCompletePaySaving;
    }

    public Double getToCompletePayAccident() {
        return toCompletePayAccident;
    }

    public void setToCompletePayAccident(Double toCompletePayAccident) {
        this.toCompletePayAccident = toCompletePayAccident;
    }

    public Double getTotalToPay() {
        return totalToPay;
    }

    public void setTotalToPay(Double totalToPay) {
        this.totalToPay = totalToPay;
    }

    public Double getTotalToPaid() {
        return totalToPaid;
    }

    public void setTotalToPaid(Double totalToPaid) {
        this.totalToPaid = totalToPaid;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Boolean getGarage() {
        return garage;
    }

    public void setGarage(Boolean garage) {
        this.garage = garage;
    }

    public String getSaleStatus() {
        return saleStatus;
    }

    public void setSaleStatus(String saleStatus) {
        this.saleStatus = saleStatus;
    }

    public Boolean getNuevaAsignacion() {
        return nuevaAsignacion;
    }

    public void setNuevaAsignacion(Boolean nuevaAsignacion) {
        this.nuevaAsignacion = nuevaAsignacion;
    }

    public Boolean getBanca() {
        return banca;
    }

    public void setBanca(Boolean banca) {
        this.banca = banca;
    }

    public String getIdBankCard() {
        return idBankCard;
    }

    public void setIdBankCard(String idBankCard) {
        this.idBankCard = idBankCard;
    }

    public String getAccountNumber() {
        return accountNumber;
    }

    public void setAccountNumber(String accountNumber) {
        this.accountNumber = accountNumber;
    }

    public TransferType getTransfer() {
        return transfer;
    }

    public void setTransfer(TransferType transfer) {
        this.transfer = transfer;
    }

    @Override
    public String toString() {
        return "SaleDashboardView{" + "saleStatus=" + saleStatus + '}';
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 83 * hash + Objects.hashCode(this.id);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final SaleDashboardView other = (SaleDashboardView) obj;
        if (!Objects.equals(this.id, other.id)) {
            return false;
        }
        return true;
    }

}
